div.form-row.border-bottom-secondary.mb-2
  div.form-group.col-12
    h5.card-title.mb-0.text-gray-800
      span.fas.fa-info.mr-2
      span Documentos cargados
div.form-row
  div.form-group.col-12.col-lg-3
    div.ControlInput
      div.ControlInput--ContenedorIcono
        span.ControlInput--ContenedorIcono-Icono
          i.fas.fa-address-card
      select([(ngModel)]="tTipoDocumentoActual",
              (change)="CambiarTipoDocumento()",
              size-select="sm").ControlInput--Select
        option(*ngFor="let tTipofor of tTiposDocumentos",
                [ngValue]="tTipofor") {{tTipofor.Codtipo}}
  div.form-group.col-12.col-lg-4
    input(type="text",
        placeholder="Documento",
        name="Documento",
        [(ngModel)]="tClienteDocumentoNuevo.Documento")#txtDocumento.form-control.form-control-sm
  div.form-group.col-12.col-lg-4.custom-file
    input(#flArchivo="",
            type="file",
            accept=".jpg",
            [disabled]="BloquearImagen()",
            (change)="tManejarImagen.Cargar_Archivo($event)").custom-file-input.custom-file-input-sm#flArchivo
    label(for="flArchivo").custom-file-label Seleccionar archivo
  div.form-group.col-12.col-lg-1
    button(name="Agregar",
        title="Agregar",
        (click)="CargarDocumento()").btn.btn-outline-success
      i.fas.fa-plus
div.form-row
  div.form-group.col-12.col-lg-8
    div(*ngFor="let tDocumentoFor of tCliente.LDocumentos | slice: (tPaginaDocumento-1) * tTamanoPagDocumento : (tPaginaDocumento-1) * tTamanoPagDocumento + tTamanoPagDocumento ; let jv = index").row.pb-2
      div.col-12
        div((mouseover)="SeleccionarDocumento(tDocumentoFor)").card.border-left-secondary
          div.card-body
            div.row.no-gutters.align-items-center
              div.col-auto.text-center
                ng-container(*ngIf="tDocumentoFor.Url === ''")
                  div.fas.fa-passport.fa-2x.text-gray-300
                ng-container(*ngIf="tDocumentoFor.Url !== ''")
                  img([src]="tDocumentoFor.Url").imagenDocumento
                div.custom-control.custom-switch.pt-2
                  input(type="radio",
                      name="rbPrincipal"
                      id="chkPrinc{{tDocumentoFor.Tipodocumento}}{{tDocumentoFor.Documento}}"
                      ng-true-value="1",
                      ng-false-value="0",
                      [checked]="tDocumentoFor.Principal",
                      (change)="DocumentoPrincipal(tDocumentoFor)").custom-control-input
                  label(for="chkPrinc{{tDocumentoFor.Tipodocumento}}{{tDocumentoFor.Documento}}").custom-control-label Principal
              div.col.ml-4
                div.h6.font-weight-bold.text-primary.mb-1 {{ tDocumentoFor.Tipodocumento }}
                div.h6.text-primary.mb-0.text-gray-800 {{ tDocumentoFor.Documento }}
              div.col-auto
                button(type="button",
                  (click)="EliminarDocumento(tDocumentoFor, jv)").btn.btn-outline-danger
                  span.fas.fa-trash
    div.form-row
      div.form-group.col-12
        ngb-pagination([collectionSize]="tCliente.LDocumentos.length",
            [(page)]="tPaginaDocumento",
            aria-label="Default pagination",
            [pageSize]="tTamanoPagDocumento").d-flex.justify-content-center
  div.form-group.col-12.col-lg-4
    ng-container(*ngIf="tClienteDocumentoActual.Url === ''")
      img(src="assets/Documentos.svg").img-fluid.text-center
    ng-container(*ngIf="tClienteDocumentoActual.Url !== ''")
      img([src]="tClienteDocumentoActual.Url").img-fluid.text-center
